Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# notebook.hh File Reference

A GtkNotebook C++ wrapper interface. More...

`#include <xfc/gtk/container.hh>`
`#include <gtk/gtknotebook.h>`
`#include <xfc/gtk/inline/notebook.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Notebook
    A GtkNotebook C++ wrapper class. More...

## Enumerations

- enum NotebookTab {
  NOTEBOOK_TAB_FIRST = GTK_NOTEBOOK_TAB_FIRST,
  NOTEBOOK_TAB_LAST = GTK_NOTEBOOK_TAB_LAST
  }
    NotebookTab defines the notebook tab which received the focus when a home or end key is pressed on the keyboard. More...

## Detailed Description

A GtkNotebook C++ wrapper interface.

Provides Notebook, a Container widget whose children are pages that can be switched between using tab labels along one edge.

## Enumeration Type Documentation

enum NotebookTab

NotebookTab defines the notebook tab which received the focus when a home or end key is pressed on the keyboard.

Enumeration values:

  NOTEBOOK_TAB_FIRST | The first tab in the notebook page list (GDK_Home or GDK_KP_Home).
  NOTEBOOK_TAB_LAST | The last tab in the notebook page list (GKD_End or GDK_KP_End).

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3